=== doc-translations/CMakeLists.txt ===
add_subdirectory( fr_tellico/tellico )
add_subdirectory( pt_BR_tellico/tellico )
add_subdirectory( sv_tellico/tellico )
add_subdirectory( uk_tellico/tellico )
