=== debian/changelog ===
tellico (2.2-5) unstable; urgency=high

  * pkg-kde-tools has moved documentation to /usr/share/doc/kde/HTML.
    update the .install file and tighten the build-dependency.
    (Closes: #584153).
  * Set urgency high to help with the yaz transition.

 -- Regis Boudin <regis@debian.org>  Tue, 01 Jun 2010 22:27:01 +0100

tellico (2.2-4) unstable; urgency=low

  * Add build-depends on cmake. Thanks Felix Geyer ! Closes: #582179
  * Exclude akonadi-server that libkcal4 and libkabc try to force as
    depends.

 -- Regis Boudin <regis@debian.org>  Thu, 20 May 2010 00:29:34 +0100

tellico (2.2-3) unstable; urgency=low

  * Bump build-depends from libyaz3-dev to libyaz4-dev. Don't bother about
    about backportability for now. Closes: #576780

 -- Regis Boudin <regis@debian.org>  Sun, 11 Apr 2010 23:27:48 +0100

tellico (2.2-2) unstable; urgency=low

  * Install the i18n files again, which were removed by mistake. Thanks to
    Luigi Toscano. Closes: #572802 

 -- Regis Boudin <regis@debian.org>  Sat, 20 Mar 2010 13:10:30 +0000

tellico (2.2-1) unstable; urgency=low

  * New upstream release.
  * Update debhelper compatibility level to 7.
  * Bump Standards-Version to 3.8.4.
  * Stop shipping now unused KDE3 desktop file for mime types.

 -- Regis Boudin <regis@debian.org>  Thu, 18 Feb 2010 01:33:48 +0000
