## tellico 2.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(Tellico)
-set(TELLICO_VERSION "2.2")
+set(TELLICO_VERSION "2.3.3")
 
 cmake_minimum_required(VERSION 2.6.2)
 
@@ -42,25 +42,23 @@
 find_package(LibXml2 REQUIRED)
 find_package(LibXslt REQUIRED)
 
-# The taglib cmake script is broken, this works around the issue
-set(TAGLIB_INCLUDES)
-
-# Tellico used to use its own FindKcal and FindKabs cmake modules
-# now we just ust the kdepimlibs one
-#macro_optional_find_package(Kabc)
-#macro_log_feature(KABC_FOUND "kabc" "Support for reading address book" "http://pim.kde.org" FALSE "4.2.0" "")
-
-#macro_optional_find_package(Kcal)
-#macro_log_feature(KCAL_FOUND "kcal" "Support for adding loans to calendar" "http://pim.kde.org" FALSE "4.2.0" "")
+macro_optional_find_package(Nepomuk)
+macro_log_feature(NEPOMUK_FOUND "nepomuk" "Support for reading file metadata" "http://www.kde.org" FALSE "4.2.0" "")
 
 macro_optional_find_package(KdepimLibs)
 macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "Support for using the address book and calendar for loans" "http://pim.kde.org" FALSE "4.2.0" "")
 
-macro_optional_find_package(Kcddb)
-macro_log_feature(KCDDB_FOUND "libkcddb" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")
+macro_optional_find_package(KdeMultimedia)
+macro_log_feature(KDEMULTIMEDIA_FOUND "kdemultimedia" "Support for CDDB searches" "http://multimedia.kde.org" FALSE "4.2.0" "")
 
+# The taglib cmake script is broken for older taglib versions, this works around the issue
+set(TAGLIB_INCLUDES)
 macro_optional_find_package(Taglib)
 macro_log_feature(TAGLIB_FOUND "taglib" "Support for reading multimedia files" "http://www.freshmeat.net/projects/taglib" FALSE "" "")
+if(TAGLIB_FOUND)
+    add_definitions(${TAGLIB_CFLAGS})
+    include_directories(${TAGLIB_INCLUDES})
+endif(TAGLIB_FOUND)
 
 macro_optional_find_package(Yaz 2.0)
 macro_log_feature(YAZ_FOUND "libyaz" "Support for searching z39.50 databases" "http://www.indexdata.dk/yaz/" FALSE "2.0" "")
@@ -73,7 +71,7 @@
 endif(POPPLER_QT4_FOUND)
 
 macro_optional_find_package(KSane)
-macro_log_feature(KSANE_FOUND "libksane" "Support for scanning images" "http://www.kde.org/" FALSE "4.2.0" "")
+macro_log_feature(KSANE_FOUND "libksane" "Support for adding scanned images to a collection" "http://www.kde.org/" FALSE "4.2.0" "")
 if(KSANE_FOUND)
     include_directories(${KSANE_INCLUDE_DIR})
 endif(KSANE_FOUND)
@@ -85,15 +83,30 @@
     include_directories(${LIBEXEMPI_INCLUDE_DIR})
 endif(LIBEXEMPI_FOUND)
 
-# once we make webcam support enabled by default, we can remove this logic
+macro_optional_find_package(QJSON)
+macro_log_feature(QJSON_FOUND "QJSON" "Support for searching OpenLibrary and Freebase" "http://qjson.sourceforge.net" FALSE "" "")
+
+# webcam uses libv4l, which only works on Linux for now
+# Linux 2.6.38 removed the videodev.h header
+# libv4l 0.8.3 includes a compat header for videodev.h
 if(ENABLE_WEBCAM)
-    macro_optional_find_package(V4l)
-    macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html" FALSE "" "Required for using a webcam")
-    if(LIBV4L_FOUND)
-        include_directories(${LIBV4L_INCLUDE_DIR})
-    else(LIBV4L_FOUND)
-        set(ENABLE_WEBCAM FALSE)
-    endif(LIBV4L_FOUND)
+    if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
+        message("WARNING: Webcam support is not available on your platform")
+        set( ENABLE_WEBCAM FALSE )
+    else(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
+        pkg_check_modules(LIBV4L libv4l1>=0.6)
+        macro_log_feature(LIBV4L_FOUND "libv4l" "Support for barcode scanning with a webcam" "http://hansdegoede.livejournal.com/3636.html"  FALSE "" "")                                                           
+        if(LIBV4L_FOUND)
+            if(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37") 
+                message("WARNING: libv4l 0.8.3 or later is required for Linux kernel 2.6.38 or later")
+                set( ENABLE_WEBCAM FALSE )
+            else(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
+                include_directories(${LIBV4L_INCLUDE_DIR})
+            endif(LIBV4L_VERSION VERSION_LESS "0.8.3" AND CMAKE_SYSTEM_VERSION VERSION_GREATER "2.6.37")
+        else(LIBV4L_FOUND)
+            set(ENABLE_WEBCAM FALSE)
+        endif(LIBV4L_FOUND)
+    endif(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
 endif(ENABLE_WEBCAM)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
@@ -102,7 +115,6 @@
 
 add_definitions(${QT_DEFINITIONS}
                 ${KDE4_DEFINITIONS}
-                ${TAGLIB_CFLAGS}
                 ${YAZ_CFLAGS})
 add_definitions(-DQT_STL -DQT_NO_CAST_FROM_ASCII)
 remove_definitions(-DQT_NO_STL -DQT3_SUPPORT)
@@ -111,10 +123,15 @@
                     ${QT_INCLUDES}
                     ${LIBXML2_INCLUDE_DIR}
                     ${LIBXSLT_INCLUDE_DIR}
-                    ${TAGLIB_INCLUDES}
                     ${CMAKE_CURRENT_BINARY_DIR}
                     ${Tellico_SOURCE_DIR}/src/core
                     ${Tellico_SOURCE_DIR}/src/3rdparty)
+
+if(KDE_VERSION VERSION_GREATER 4.4)
+    set(ENABLE_KNEWSTUFF3 TRUE)
+else(KDE_VERSION VERSION_GREATER 4.4)
+    set(ENABLE_KNEWSTUFF3 FALSE)
+endif(KDE_VERSION VERSION_GREATER 4.4)
 
 # is there a better way to disable qt3support library?
 get_directory_property(include_dirs INCLUDE_DIRECTORIES)
@@ -133,11 +150,6 @@
     message("WARNING: CDDB Lookup is not supported on your platform")
 endif(NOT CMAKE_SYSTEM_NAME MATCHES "FreeBSD|Linux|kFreeBSD|NetBSD|OpenBSD|SunOS|Darwin")
 
-if(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
-    message("WARNING: Webcam support is not available on your platform")
-    set( ENABLE_WEBCAM FALSE )
-endif(ENABLE_WEBCAM AND NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
-
 ########## Wrap tests results around the tests done within the source
 
 macro_bool_to_01(TAGLIB_FOUND HAVE_TAGLIB)
@@ -145,23 +157,27 @@
 macro_bool_to_01(LIBEXEMPI_FOUND HAVE_EXEMPI)
 macro_bool_to_01(YAZ_FOUND HAVE_YAZ)
 macro_bool_to_01(KSANE_FOUND HAVE_KSANE)
-macro_bool_to_01(KCDDB_FOUND HAVE_KCDDB)
+macro_bool_to_01(KDEMULTIMEDIA_FOUND HAVE_KCDDB)
 macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KABC)
 macro_bool_to_01(KDEPIMLIBS_FOUND HAVE_KCAL)
 macro_bool_to_01(LIBV4L_FOUND HAVE_V4L)
+macro_bool_to_01(QJSON_FOUND HAVE_QJSON)
+macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)
+macro_bool_to_01(ENABLE_KNEWSTUFF3 ENABLE_KNEWSTUFF3)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 
 ########### install files ###############
 
 install(FILES tellico.dtd tellico.tips DESTINATION ${TELLICO_DATA_INSTALL_DIR})
-install(FILES tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install(PROGRAMS tellico.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
 install(FILES tellico.xml DESTINATION  ${XDG_MIME_INSTALL_DIR})
 install(FILES x-tellico.desktop DESTINATION ${MIME_INSTALL_DIR}/application)
 
 if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
     macro_display_feature_log()
 endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
+
 find_package(Msgfmt REQUIRED)
 find_package(Gettext REQUIRED)
 add_subdirectory( po )
