=== po/CMakeLists.txt ===
--- 
+++ 
@@ -9,12 +9,15 @@
 add_subdirectory( eo )
 add_subdirectory( es )
 add_subdirectory( et )
+add_subdirectory( eu )
 add_subdirectory( fi )
 add_subdirectory( fr )
 add_subdirectory( ga )
 add_subdirectory( gl )
 add_subdirectory( hu )
+add_subdirectory( ia )
 add_subdirectory( it )
+add_subdirectory( ja )
 add_subdirectory( lt )
 add_subdirectory( ms )
 add_subdirectory( nb )
@@ -22,3 +25,13 @@
 add_subdirectory( nl )
 add_subdirectory( nn )
 add_subdirectory( pl )
+add_subdirectory( pt )
+add_subdirectory( pt_BR )
+add_subdirectory( ro )
+add_subdirectory( ru )
+add_subdirectory( sk )
+add_subdirectory( sv )
+add_subdirectory( tr )
+add_subdirectory( uk )
+add_subdirectory( zh_CN )
+add_subdirectory( zh_TW )
