=== xslt/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,9 @@
     crossref2tellico.xsl
     delicious2tellico.xsl
     discogs2tellico.xsl
+    douban2tellico.xsl
     dvd-logo.png
+    dvdfr2tellico.xsl
     gcstar2tellico.xsl
     giantbomb2tellico.xsl
     hddvd-logo.png
