=== src/fetch/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,8 @@
    configwidget.cpp
    crossreffetcher.cpp
    discogsfetcher.cpp
+   doubanfetcher.cpp
+   dvdfrfetcher.cpp
    entrezfetcher.cpp
    execexternalfetcher.cpp
    fetcher.cpp
@@ -19,7 +21,10 @@
    fetcherjob.cpp
    fetchmanager.cpp
    fetchresult.cpp
+   filmasterfetcher.cpp
+   freebasefetcher.cpp
    gcstarpluginfetcher.cpp
+   gcstarthread.cpp
    giantbombfetcher.cpp
    googlescholarfetcher.cpp
    hmac_sha2.c
@@ -27,7 +32,9 @@
    imdbfetcher.cpp
    isbndbfetcher.cpp
    messagehandler.cpp
+   multifetcher.cpp
    musicbrainzfetcher.cpp
+   openlibraryfetcher.cpp
    sha2.c
    srufetcher.cpp
    themoviedbfetcher.cpp
@@ -44,10 +51,15 @@
     newstuff
     btparse
     )
+
 IF( YAZ_FOUND )
   TARGET_LINK_LIBRARIES(fetch ${YAZ_LIBRARIES})
 ENDIF( YAZ_FOUND )
 
+IF( QJSON_FOUND )
+  TARGET_LINK_LIBRARIES(fetch ${QJSON_LIBRARIES})
+ENDIF( QJSON_FOUND )
+
 ########### install files ###############
 
 INSTALL(FILES   z3950-servers.cfg DESTINATION ${TELLICO_DATA_INSTALL_DIR} )
