=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Regis Boudin <regis@debian.org>
-Build-Depends: debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.4.4), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, libv4l-dev | not+linux-gnu
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), cmake, pkg-kde-tools (>= 0.9), kdelibs5-dev (>=4:4.4.4), libxml2-dev, libxslt1-dev, libtag1-dev, libyaz4-dev, libkcddb-dev, kdepimlibs5-dev, libpoppler-qt4-dev, libexempi-dev, libqimageblitz-dev, libksane-dev, shared-desktop-ontologies, libqjson-dev
+Standards-Version: 3.9.2
 Homepage: http://tellico-project.org/
 Vcs-Svn: svn://anonsvn.kde.org/home/kde/trunk/extragear/office/tellico
 
@@ -28,7 +28,7 @@
 
 Package: tellico-data
 Architecture: all
-Conflicts: tellico (<< 1.1.6-1)
+Breaks: tellico (<< 1.1.6-1)
 Replaces: tellico (<< 1.1.6-1)
 Depends: kdelibs5-data, ${misc:Depends}
 Recommends: tellico
@@ -53,7 +53,7 @@
 Package: tellico-scripts
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: tellico-data (<= 1.3.1-2)
+Breaks: tellico-data (<= 1.3.1-2)
 Replaces: tellico-data (<= 1.3.1-2)
 Recommends: tellico
 Suggests: python, ruby
